<?xml version='1.0' encoding='ISO-8859-1'?>

<!ELEMENT project (task*)>
<!ATTLIST project
           name CDATA #REQUIRED>
 
<!-- Task -->
<!ELEMENT task    (label?|task*|duration?|constraint*|begin?|end?) >
<!ATTLIST task
          id       ID #REQUIRED>
 
<!-- label and duration of the task -->
<!ELEMENT label (#PCDATA)>
<!ELEMENT duration (#PCDATA)>
 
<!-- begin and end date of the task. YYYY/MM/DD -->
<!ELEMENT begin (#PCDATA)>                        
<!ELEMENT end (#PCDATA)>
 
<!-- constraint on beginning and end of tasks. -->
<!ELEMENT constraint (#PCDATA)>
<!ATTLIST constraint on   (begin|end) #REQUIRED>
<!ATTLIST constraint type (task|date) #IMPLIED>
                                